(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "fs"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var fs = require("fs");
    exports.isImported = function (text, content) {
        return content.indexOf("import " + text) !== -1;
    };
    exports.regexp = new RegExp('export default (.*)');
    exports.deleteComponents = function (components) { return components.forEach(exports.deleteComponent); };
    exports.deleteComponent = function (component) {
        return fs.existsSync(component.path) && fs.unlinkSync(component.path);
    };
    exports.isDirectory = function (path) { return fs.statSync(path).isDirectory(); };
    exports.isAvailableFile = function (file) { return file.search(/.js|.ts|.jsx|.tsx/g) !== -1; };
});
//# sourceMappingURL=utils.js.map